%define anolis_release 1
%global pypi_name imageio-ffmpeg
%global pypi_version 0.4.9

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        FFMPEG wrapper for Python

License:        BSD-2-Clause
URL:            https://github.com/imageio/imageio-ffmpeg
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
a simple and reliable ffmpeg wrapper for working with video files. It implements two simple 
generator functions for reading and writing data from/to ffmpeg, which reliably terminate the 
ffmpeg process when done.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       /usr/bin/ffmpeg

%description -n python3-%{pypi_name}
a simple and reliable ffmpeg wrapper for working with video files. It implements two simple 
generator functions for reading and writing data from/to ffmpeg, which reliably terminate the 
ffmpeg process when done.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md imageio_ffmpeg/binaries/README.md
%{python3_sitelib}/imageio_ffmpeg
%{python3_sitelib}/imageio_ffmpeg-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.4.9-1
- Initial package.